const guildNameRestrictions = {
	length: {
		min: 2,
		max: 50,
	},
	regex: /^[a-zA-Z0-9\s._-]+$/, // allow letters, numbers, spaces, and common punctuation
};

const reservedGuildNames = [
	"admin",
	"administrator",
	"mod",
	"moderator",
	"system",
	"official",
	"staff",
	"support",
	"help",
	"null",
	"undefined",
	"anonymous",
];

export { guildNameRestrictions, reservedGuildNames };
export * from "./defaults";
