CREATE TABLE IF NOT EXISTS guild_roles (
    guild_id TEXT,
    role_id TEXT,
    name TEXT,
    color INT,
    position INT,
    permissions BIGINT,
    mentionable BOOLEAN,
    created_at TIMESTAMP,
    updated_at TIMESTAMP,
    PRIMARY KEY (guild_id, role_id)
);

CREATE INDEX IF NOT EXISTS guild_roles_position_idx ON guild_roles (guild_id, position);
