CREATE TABLE IF NOT EXISTS guild_invites (
    code TEXT PRIMARY KEY,
    guild_id TEXT,
    inviter_id TEXT,
    channel_id TEXT,
    max_uses INT,
    uses INT,
    max_age INT,
    temporary BOOLEAN,
    created_at TIMESTAMP,
    expires_at TIMESTAMP
);

CREATE INDEX IF NOT EXISTS guild_invites_guild_idx ON guild_invites (guild_id);
CREATE INDEX IF NOT EXISTS guild_invites_expires_idx ON guild_invites (expires_at);
